Bug 1010565 - (tapkee) Review Request: tapkee - C++ template library for efficient dimension reduction
Review Request: tapkee - C++ template library for efficient dimension reduction
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
:
Depends On: 1010551
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-21 09:39 EDT by Björn 'besser82' Esser
Modified: 2013-10-02 02:30 EDT (History)
2 users (show)

See Also:
Fixed In Version: tapkee-1.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-26 20:52:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Björn 'besser82' Esser 2013-09-21 09:39:00 EDT
Description:

  Tapkee is a C++ template library for dimensionality reduction with
  some bias on spectral methods.  The Tapkee origins from the code
  developed during GSoC 2011 as the part of the Shogun machine learning
  toolbox.  The project aim is to provide efficient and flexible
  standalone library for dimensionality reduction which can be easily
  integrated to existing codebases.  Tapkee leverages capabilities of
  effective Eigen3 linear algebra library and optionally makes use of
  the ARPACK eigensolver.  The library uses CoverTree and VP-tree
  data-structures to compute nearest neighbors.  To achieve greater
  flexibility we provide a callback interface which decouples dimension
  reduction algorithms from the data representation and storage schemes.

  Tapkee provides implementations of the following dimension reduction
  methods:

    * Locally Linear Embedding and Kernel Locally Linear Embedding
      (LLE/KLLE)
    * Neighborhood Preserving Embedding (NPE)
    * Local Tangent Space Alignment (LTSA)
    * Linear Local Tangent Space Alignment (LLTSA)
    * Hessian Locally Linear Embedding (HLLE)
    * Laplacian eigenmaps
    * Locality Preserving Projections
    * Diffusion map
    * Isomap and landmark Isomap
    * Multidimensional scaling and landmark Multidimensional scaling
      (MDS/lMDS)
    * Stochastic Proximity Embedding (SPE)
    * PCA and randomized PCA
    * Kernel PCA (kPCA)
    * Random projection
    * Factor analysis
    * t-SNE
    * Barnes-Hut-SNE


Koji Builds:

  el5:  no el5 build for this, no eigen3 available.
  el6:  no el6 build for this, eigen3 is too old (< 3.1.2) for this.
  F18:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5964460
  F19:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5964465
  F20:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5964468
  Frh:  https://koji.fedoraproject.org/koji/taskinfo?taskID=5964472


Issues:

  fedora-review shows no issues, rpmlint reports some false positives.
  You can ignore the rpmlint warnings about those *.pgm-files.  They
  are images in some raw-format, but rpmlint isn't aware of that and
  treats them as plain/txt.  :)


Fedora Account System Username:

  besser82


Urls:

  Spec URL: http://besser82.fedorapeople.org/review/tapkee.spec
  SRPM URL: http://besser82.fedorapeople.org/review/tapkee-1.0-1.fc21.src.rpm


Additional Information:

  This is currently FTBFS on rawhide, because of rhbz# 1010551

#####

Thanks for review in advance!
Comment 1 Wolfgang Ulbrich 2013-09-21 10:56:55 EDT
APPROVED !

Maybe you should try to fix some rpmlint warnings, minor.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "BSD (3 clause)", "GPL (v3 or later)",
     "Unknown or generated", "BSD (4 clause)". 80 files have unknown license.
     Detailed output of licensecheck in
     /home/rave/1010565-tapkee/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
     Note: Especially check following dirs for bundled code:
     /home/rave/1010565-tapkee/upstream-unpacked/Source99/gtest-1.6.0/include,
     /home/rave/1010565-tapkee/upstream-unpacked/Source0/tapkee-1.0/include
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in tapkee-cli
     , tapkee-devel , tapkee-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: tapkee-cli-1.0-1.fc20.x86_64.rpm
          tapkee-devel-1.0-1.fc20.noarch.rpm
          tapkee-doc-1.0-1.fc20.noarch.rpm
          tapkee-1.0-1.fc20.src.rpm
tapkee-cli.x86_64: W: spelling-error %description -l en_US eigenmaps -> eigenvalues
tapkee-cli.x86_64: W: spelling-error %description -l en_US lMDS -> lids, lads, mdse
tapkee-cli.x86_64: W: spelling-error %description -l en_US kPCA -> SPCA
tapkee-cli.x86_64: W: no-manual-page-for-binary tapkee
tapkee-devel.noarch: W: spelling-error %description -l en_US dimensionality -> dimensional
tapkee-devel.noarch: W: spelling-error %description -l en_US codebases -> co debases, co-debases, code bases
tapkee-devel.noarch: W: spelling-error %description -l en_US eigensolver -> insolvency
tapkee-devel.noarch: W: spelling-error %description -l en_US eigenmaps -> eigenvalues
tapkee-devel.noarch: W: spelling-error %description -l en_US lMDS -> lids, lads, mdse
tapkee-devel.noarch: W: spelling-error %description -l en_US kPCA -> SPCA
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_32.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_27.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_08.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_08.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_50.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_50.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_19.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_07.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_38.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_44.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_44.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_37.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_21.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_36.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_03.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_03.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_14.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_14.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_35.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_39.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_23.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_17.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_49.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_49.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_18.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_28.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_41.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_41.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_43.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_46.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_46.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_45.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_45.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_30.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_15.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_12.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_12.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_05.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_33.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_48.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_48.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_29.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_42.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_16.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_31.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_13.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_13.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_09.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_09.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_40.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_40.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_06.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_34.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_22.pgm
tapkee.src: W: spelling-error %description -l en_US dimensionality -> dimensional
tapkee.src: W: spelling-error %description -l en_US codebases -> co debases, co-debases, code bases
tapkee.src: W: spelling-error %description -l en_US eigensolver -> insolvency
tapkee.src: W: spelling-error %description -l en_US eigenmaps -> eigenvalues
tapkee.src: W: spelling-error %description -l en_US lMDS -> lids, lads, mdse
tapkee.src: W: spelling-error %description -l en_US kPCA -> SPCA
tapkee.src: W: invalid-url Source99: http://googletest.googlecode.com/files/gtest-1.6.0.zip HTTP Error 404: Not Found
4 packages and 0 specfiles checked; 0 errors, 71 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint tapkee-devel tapkee-doc tapkee-cli
tapkee-devel.noarch: W: spelling-error %description -l en_US dimensionality -> dimensional
tapkee-devel.noarch: W: spelling-error %description -l en_US codebases -> co debases, co-debases, code bases
tapkee-devel.noarch: W: spelling-error %description -l en_US eigensolver -> insolvency
tapkee-devel.noarch: W: spelling-error %description -l en_US eigenmaps -> eigenvalues
tapkee-devel.noarch: W: spelling-error %description -l en_US lMDS -> lids, lads, mdse
tapkee-devel.noarch: W: spelling-error %description -l en_US kPCA -> SPCA
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_32.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_27.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_08.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_08.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_50.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_50.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_19.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_07.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_38.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_44.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_44.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_37.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_21.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_36.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_03.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_03.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_14.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_14.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_35.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_39.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_23.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_17.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_49.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_49.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_18.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_28.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_41.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_41.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_43.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_46.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_46.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_45.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_45.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_30.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_15.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_12.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_12.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_05.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_33.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_48.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_48.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_29.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_42.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_16.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_31.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_13.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_13.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_09.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_09.pgm
tapkee-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_40.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_40.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_06.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_34.pgm
tapkee-doc.noarch: W: file-not-utf8 /usr/share/doc/tapkee-doc/examples/data/faces/oksana_faces_22.pgm
tapkee-cli.x86_64: W: spelling-error %description -l en_US eigenmaps -> eigenvalues
tapkee-cli.x86_64: W: spelling-error %description -l en_US lMDS -> lids, lads, mdse
tapkee-cli.x86_64: W: spelling-error %description -l en_US kPCA -> SPCA
tapkee-cli.x86_64: W: no-manual-page-for-binary tapkee
3 packages and 0 specfiles checked; 0 errors, 64 warnings.
# echo 'rpmlint-done:'



Requires
--------
tapkee-devel (rpmlib, GLIBC filtered):
    arpack-devel
    eigen3-devel

tapkee-doc (rpmlib, GLIBC filtered):

tapkee-cli (rpmlib, GLIBC filtered):
    libarpack.so.2()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.4)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libgomp.so.1(OMP_2.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
tapkee-devel:
    tapkee
    tapkee-devel

tapkee-doc:
    tapkee-doc

tapkee-cli:
    tapkee-cli
    tapkee-cli(x86-64)



Source checksums
----------------
https://github.com/lisitsyn/tapkee/archive/1.0.tar.gz#/tapkee-1.0.tar.gz :
  CHECKSUM(SHA256) this package     : da04801723eebcc92cbe8c7bfdc455de17d9cf1a8d584a17824a6168e55af52d
  CHECKSUM(SHA256) upstream package : da04801723eebcc92cbe8c7bfdc455de17d9cf1a8d584a17824a6168e55af52d
https://github.com/lisitsyn/tapkee_data/archive/master.tar.gz#/tapkee-data-1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 25e85f10647e2394dcaa6ef6cf0dc7e70c5f430d59e4cf69b47a5171cfff0aa6
  CHECKSUM(SHA256) upstream package : 25e85f10647e2394dcaa6ef6cf0dc7e70c5f430d59e4cf69b47a5171cfff0aa6
http://googletest.googlecode.com/files/gtest-1.6.0.zip :
  CHECKSUM(SHA256) this package     : 5ec97df8e75b4ee796604e74716d1b50582beba22c5502edd055a7e67a3965d8
  CHECKSUM(SHA256) upstream package : 5ec97df8e75b4ee796604e74716d1b50582beba22c5502edd055a7e67a3965d8


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -v -m fedora-20-x86_64 -b 1010565
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 2 Björn 'besser82' Esser 2013-09-21 11:01:04 EDT
Thanks for the review, Wolfgang!  :)

You can ignore the rpmlint warnings about those *.pgm-files.  They are images in some raw-format, but rpmlint isn't aware of that and treats them wrongly as plain/txt.

#####

New Package SCM Request
=======================
Package Name: tapkee
Short Description: C++ template library for efficient dimension reduction
Owners: besser82
Branches: f18 f19 f20
InitialCC:
Comment 3 Gwyn Ciesla 2013-09-23 08:48:11 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-09-23 09:51:01 EDT
tapkee-1.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tapkee-1.0-1.fc20
Comment 5 Fedora Update System 2013-09-23 09:51:24 EDT
tapkee-1.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tapkee-1.0-1.fc19
Comment 6 Fedora Update System 2013-09-23 09:51:47 EDT
tapkee-1.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tapkee-1.0-1.fc18
Comment 7 Björn 'besser82' Esser 2013-09-23 15:46:16 EDT
Package Change Request
======================
Package Name: tapkee
Owners: ml-sig besser82
Branches: el5 el6 f18 f19 f20
Comment 8 Gwyn Ciesla 2013-09-23 16:11:32 EDT
Complete.
Comment 9 Fedora Update System 2013-09-23 20:23:10 EDT
tapkee-1.0-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2013-09-26 20:52:56 EDT
tapkee-1.0-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 11 Fedora Update System 2013-10-02 02:29:52 EDT
tapkee-1.0-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 12 Fedora Update System 2013-10-02 02:30:05 EDT
tapkee-1.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.